	Moonman Skullfuck 3.x mod
	Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯Â¯

	_______________________
	Changelog v1.4.0 test9:
	"Misc":
		-Changed bullet impact effect
		-Splitted the description text found at the moon option
		-Added Barrel (Server/SP only) CVAR options
		 Now you can change between different explosive barrels type:
		 Normal (Doom default), Acidic and Barrels O' Fun.
		 CMD: moon_sv_barrels (0-3)
		-Replaced Doom HUD with a new one, fullscreen/minimal variant is not
		 touched
	"Items":
	"Weapons":
		-Ammo max count changes:
		 Rocket Ammo from 60/120 to 50/100
		 Shells from 75/150 to 50/100
	    *Hitler*
		-Nerfed Gas Grenade/Rocket, so it cannot instakill a 
		 large nigger in one shot anymore.
		*Wehrmacht*
		-Added: Kar98k, Schrotflinte 97, MPi-40, FG-42, V2 Werfer
		 Panzerfaust 100m
		 FG-42 replaces Plasmagun
		*Waffen SS*
		-Added: Drilling, StG-44, V2 Werfer
		 MG-42 replaces Plasmagun
		*Ben Garrison*
		-Revolver is auto fire now, reduced firing rate
		*Moonman/Ben G.*
		-Improved Zyklon BFG 9K effect and explosion
	"Monsters":
		-Vilebark drops its head now when killed
		-Changed gas death effect
		-Added a watermelon feed chaingun nigger
		-Improved blood effects
	
	_______________________
	Changelog v1.4.0 test8:
	"Misc":
		-Added Crosshairs made by a h8chan /v/ anon.
		-Replaced the Map30 texture with a sun man one.
		-Adjusted the blood particles, should be less excessive now.
		-blood lying on floor now moves with sector, so no more floating blood anymore.
		-Added Waffen SS and Wehrmacht Soldier class, uses Hitler weapons set.
		-Waffen SS and Wehrmacht have custom Pain, Death and Taunt sounds.
		-Ben Garisson firing sprite is fixed.
		-Fixed sprite collision with POL3 (head candles). 
		-Explosive Barrels are immune to Moonman beats.
		-Explosive Barrels are now acidic waste barrels which leaves a acidic
		    waste upon death, Radiation Suit will protect the user from this.
		-Added Moonman kill comments on Monsters that were missing.
		-Changed the number font so it is visible on dark areas.
		-Replaced Commander Keen with a faggot cunt.
		-Edited several sprites in the hope to fix the "White box" issue.
	"Items":
		-Fixed medikit/stimpak sprites.
		-Blue/green armor, bullet magazine and rocket ammo box got new sprites. 
		-Combat vest gives now 250 armor points.
		-Changed this ammo pickup text "Picked up a shells box!" cause it looks like a fucking mcdonalds meal.
		-Fixed the vodka item it gives now 10 hitpoints instead of 25.
		-Added a few new Items sprites.
		-Some Items have a new pickup sounds.
		-Added new Items: Panzer Schokolade, KKK Wizard Hat and Odin Sphere,
		    animations for them are fixed and some of those new items have new abilities.
		-Rifle rounds max capacity is 60/120 instead of 75/150.
		-Rifle box round gives 10 rifle rounds instead of 20.
		-Big energy cell gives now 80 flamethrower fuel and small one gives 25 fuel.
		-Dropped weapons from monster don't count as "Item" anymore.
		-Removed some beer variants in order to save some space.
		-Changed the powerup.mode of the KKK hat sphere in order to "fix"
		 white box issues.
	"Weapons":
		-Hitler flamethrower sound doesn't loop anymore upon death.
		-Hitler now has a Mechasuit sprite when he uses the weapon.
		-Hitler mecha suit now consumes more bullets and increased its damage a lot more.
		-Nerfed Hitler Flamethrower a bit.
		-Ben Garrison Flamethrower is buffed a bit.
		-Flamethrower fires doesn't push actors anymore.
		-BenG and Hitler Flamethrower needs now more ammo to fire.
		-All Clas. Flamethrower flames have reduced speeds.
		-Gas explosion radius is reduced, buffed damage and it will hurt its source.
		-Players will only take about 25% damage from gas grenades/rockets for now.
		-Gas Rocket/Grenade have a greenish trail now.
		-MG42 primary fire is fast firing but inaccurate, alt firing is a accurate
		    burst firing which shoots upto 4 rounds now.
		-Changed Hitler/Ben G. Flamethrower effect. 
		-Reverted Moonman Plasmafire to 1.3.1 version.
		-Ben G. Flamethrower alt-attack is now stronger and consumes more ammo.
		-Moonman Slot 5 pickup fixed.
		-Dropped shotgun from monsters gives now also shotgun ammo for Ben Garrison
		    and Moonman.
		-Fixed ammo drop for Fake AK-47/UZI which should give now bullet ammo for Ben
		    Garrison and Moonman.
		-Rockets have now flare trails.
		-Gas Rocket/Grenade doesn't uses the user_count anymore and instead the 
		    circle effect is done by older method.
		-Rockets, Grenades and Rifle rounds have now larger scorchmarks.
		-Several more particle related changes.
		-Fixed all impact-grenade bounce over actor head bug. The bug for bouncing
		    grenade can't be fixed right now.
		-Zyklon BFG primary fire needs now 80 energy cells instead of 60.
		-Moonman boombox is nerfed.
		-Hitler doesn't get a M16 anymore when picking up fake-AK/UZI weapon.
		-Increase firerate and spread of Moonman plasma gun.
		-Hitler Chaingun primary fire spread is increased, and does a bit less
	        damage.
	"Monsters":
		-Fixed GangstaGrosse bloodtype which should fix the crashing issues.
		-Spics are dropping tacos now.
		-Chinks are dropping noodles now.
		-Vilebark and Politican sprites are improved a bit.
		-Melee spics are faster now and nerfed its health.
		-Fixed a bug were monsters would get larger after resurrection
		-Kohen volume is increased a bit.
		-Replaced Shrek with BJ (((Blazkowitz))).
		-Added nigger granny alongside with chink mage.
		-Tweaked crackhead rock a bit.
		-Reduced volume of flying jew a bit.
		-When monsters are killed they don't play the pain sound anymore (fixed?).
		-Nigger Imp has now a fireball attack for long range.
		-Added a new Crackhead sprite, it can be resurrected now and 
		    it doesn't wander aimlessly anymore at spawn.
		-Suicide Bomber does now a bit more damage upon death.
		-Added spectre paco.
		-Added more monsters drop based on their type.
	  "Note":
	    -Chink corpse is troublesome with the reason when it gets the -COUNTKILL
		    flag it will not count towards the kill score and it cannot be 
		    resurrected anymore, with the flag enabled it will count towards the 
		    score and can be resurrected, so it can be very easy for the player to 
		    miss those corpse and thus failing to get a "Perfect" score due to this
		    bug. Therefore it cannot be fixed for the time being.
		 
	_______________________________
	Changelog v1.4.0 test7+hotfix5:
	"Moonman":
		-MoonMan plasma alt fire damage reverted to test7 version.
		-MoonMan plasma fire is buffed again.
		-Changed MoonMan RocketLauncher pickup behavior.
		-MoonMan plasma fire is buffed a bit.
		-MoonMan BoomBox frag count in MP might be fixed.
		-Slight MoonMan Plasmagun fire buff.
	"Monsters":
		-VileBark and feminist cunt POLITICIAN sprite fixes.
		-Fixed GangstaGrosse blood type which causes crashes.
		-Added Crackhead from WDF.pk3

	_______________________
	Changelog v1.4.0 test6:
	"Monsters":
		-Japman,Dawan and Polbaron uses the regular fire death animation now.
		-Added a few more monster death drops based on their type.
		-Added a new creature: Chaingun Kohen.
		-Cleaned up Polmerchant sprite from a endchan /lv/ anon.
		-Reworked monsters spawn behavior a bit which is all determined by a 
			RandomSpawner now and none of those monsters have a DoomED since some of those
			monster had the same numbers. Neither of this mods monsters are directly 
			replacing default doom ones only by the RandomSpawner.
	"Weapons":
		-Added a new rocket render sprite.
		-Rocket Launchers are first selected now and then Grenade Launchers,
			it seems to be a bit buggy now since when slot 4 is selected and then
			switched to the next weapon it will be the GL weapon instead of the RL one.
		-Explosive weapons hurt their source now.
	"Moonman":
		-PlasmaGun uses Flamethrower ammo now.
		-Fixed Moonman's Ghettoblaster which doesnt thrust players anymore and it
			properly does damage against creatures now.
	"Hitler":
		-Hitler gets a new Chaingun rendered sprite.
	"Misc":
		-ExplosiveBarrel is caustic now, take 1.

	_______________________
	Changelog v1.4.0 test5:
	"Weapons":
		-ZyklonBFG doesn't thrust its target anymore.
		-Cell ammo gives now ammo for flamethrowers.
		-flamethrowers uses their own ammo now.
		-New bullet puff types for all hitscan weapons with 3 different types.
		-Melee weapons such as fist and shovel won't alert monsters anymore.
	"Moonman":
		-Minor RPG-7 buff.
	"Ben Garrison":
		-Nerfed Martini Henry rifle so each bullet does now 10x11 damage instead
			of 10x35, enough to kill a 400 HP enemy with 3 shots.
		-Buffed Napalm RPG a bit, added Altfire Anti-Air Rockets.
	"Hitler":
		-Changed Panzerschrek sprite again
			added a Gas Rocket altfire mode.
		-Made Chaingun fire less accurate and added a slower firing and more accurate
			altfire.
		-Minor Panzerschreck buff. 
		-Added the MG-42 which replaces his MP-40 weapon.
		-Gewehr 41 fires 2 bullets now each doing 16 damage which was previously
			32 damage. 
		-Additional minor firing adjustment to other Hitscan weapons.
	"Items":
		-New shell ammo render.
		-Health bonus gets now replaced by 13 different beer types, and the player
			discard those empty beer upon pickup.
	"Monster":
		-Made RevenantTracerSmoke clientsided. 
		-Suicide Bomber spawns less fire upon death but it's fire effect causes 
			2x more damage to reduce some lag in Multiplayer.
		-Monsters can now have a "Supression" effect when they are hit by a MG-42,
			excluded from this effect: Lost Nig, Giga Nigga, Gangsta Grosse, a few others.
		-Negro monsters have now a 25% chance of dropping Nog related items
			GigaNigga and CyberSeeb have 50% chance of dropping Nog related items.
		-Almost all Monsters have a gas death effect.
		-Some monsters have now a particle based fire death effect.

	_______________________
	Changelog V1.4.0 test4:
	"Moonman":
		-Fixed RPG-7 slot which is now slot 5 instead of slot 0.
	"Hitler":
		-Adjusted the fake recoil from the Panzerschreck weapon.
	"Ben Garrison":
		Martini Henry weapon sounds..
	"Items":
		-Replaced all health items with alcoholic beverages:
			Health Bonus = Beer, Stimpack = Vodka, Medikit = Crate of Alcohol.
			SoulSphere = White Russian.
		-Replaced MegaSphere with a Swagstika ball.
		-Replaced the armor bonus item with the stahlhelm.
	"Weapons":
		-Nerfed ZyklonBFG9k Cloud damage to -50% less.

	_______________________
	Changelog V1.4.0 test3:
	"Hitler":
		-Slight firing rate increase for Gewehr-43 and Vollmer MP-40.
	"Ben Garrison":
		-Napalm Rocket Launcher changed to Duke Nukem RPG (Napalm).
	"Items":
		-Shell and Shellbox doesn't contain fake health bonus item anymore.

	_______________________
	Changelog V1.4.0 test2:
	"Weapons":
		-Reverted Moonman fist and plasma rifle to old sprites.
		-Changed AK-47 animation a bit.

	_______________________
	Changelog V1.4.0 test1:
	"Moonman":
		-Fixed AK-47 animation.
		-ZyklonBFG damage outpot is now buffed enough to kill flying juden efficently.
		-Moonman got a RPG now instead of Doom64 Rocket Launcher.
		-MoonMan RPG is much stronger now but the firing rate is slower too.
		-New Moonman fist sprites (Zedek the Plaque Doctor).
		-New MoonMan Plasma Rifle sprites (Zedek the Plaque Doctor).
	"Hitler":
		-Changed Hitler rocket launcher sprite.
		-Hitler RL fires now a bit slower but the damage outpot is +20% more.
	"Weapons":
		-Made some tweaks to Flamethrower firing to Moonman, Hitler and Ben Garrison 
			mainly a bit reduced ammo consumption and a bit slower firing rate,
			subject to further changes.
		-Changed the Shell ammo behavior:
			Hitler will get magazine ammo instead of shells since he doesn't own any shotgun.
			Pickup message will reflect that the 2 other chars will get them normally.
	"Mosnters":
		-New Basketball Nigger sprites (Zedek the Plaque Doctor).

	_______________
	Changelog v1.3.1:
	"Monsters":
		-Nerfed Suicide Bomber a little bit.
	"Weapons":
		-Moonman Beatbox and player Gas doesn't cause damage to the player anymore.
		-Changed Clip ammo into BulletMagazine.
		-Introduced Custom ammo class for Shells, Rockets and Cells.
		-Ammo pickup items Shell and Shellbox now give both Rifle and Shotgun ammo, added custom graphic and pickup text.
		-Ammo pickup items Cell and CellPack now give both Cell [used by ZyklonBFG, MechaHitler] and Flamer ammo, 
			added custom graphic and pickup text.
		-Moonman Beatbox damage code has been reworked.
		-GlockDummy, RevolverDummy are no longer needed.
		-Buffed Rifle and Martini Henry damage.
		-Buffed MP40 damage and reduced it's bullet spread.
		-Buffed damage of AK47 and reduced it's bullet spread.
		-AK47 fires now single shot upon single fire click, instead of firing two shots on single fire click previously.
		-ZyklonBen and Hitler flamethrowers now have alt fire.
		-Made ZyklonBFG firing effect prettier.
		-Minor fix to weapon pickup code

	_______________
	Changelog v1.2:
	"Weapons":
		-All weapon/particle effects are now clientside only, preventing massive online lag.
		-Introduced custom ammo type for rifle rounds along with graphics.
		-Cleaned up rocket/grenade explosion decorate.
		-Reworked ZyklonBFG to not cause 50mbit uplink connection saturation in online games
			will be subject to future changes [TODO: make it look better].
	"Monsters":
		-Changed Imp BasketBall behaviour.
		-Minor Sheboon Fatso fix.
	"Misc":
		-Several fixed to replacer.

	_______________
	Changelog v1.1:
	"Moonman":
		-Added more reaction one-liners.
	"Monsters":
		-Added SMG nignog.

	____________________
	Initial Release v1.0

